Skip to main content
DELETE
/
1
/
query_annotations
/
{datasetSlug}
/
{queryAnnotationId}
Delete a Query Annotation
curl --request DELETE \
  --url https://api.honeycomb.io/1/query_annotations/{datasetSlug}/{queryAnnotationId} \
  --header 'X-Honeycomb-Team: <api-key>'
{
  "error": "<string>"
}

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

X-Honeycomb-Team: 1234567890123456789012

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

queryAnnotationId
string
required

The unique identifier (ID) of the annotation.

Response

Success - no content